gulp-bless-css is deprecated

Bug #1569121 reported by Aaron Wells on 2016-04-12
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Unassigned

Bug Description

One of the gulp packages we use in our theme build, "gulp-minify-css", is now deprecated and should be replaced with gulp-clean-css.

https://www.npmjs.com/package/gulp-minify-css

Reviewed: https://reviews.mahara.org/6892
Committed: https://git.mahara.org/mahara/mahara/commit/c0d4fecc825fddf7ea93fd6bb65941e6a0fae2b7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c0d4fecc825fddf7ea93fd6bb65941e6a0fae2b7
Author: Son Nguyen <email address hidden>
Date: Mon Aug 29 08:02:45 2016 +1200

Bug 1569121: Replacing deprecated gulp-minify-css by gulp-clean-css

behatnotneeded

Change-Id: Id89d92e2ac6735dbc9d2be126cd535eb832a2572

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/6897

Reviewed: https://reviews.mahara.org/6897
Committed: https://git.mahara.org/mahara/mahara/commit/3ee26584e663c10a7c5adac8493608c8195a5065
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 3ee26584e663c10a7c5adac8493608c8195a5065
Author: Son Nguyen <email address hidden>
Date: Mon Aug 29 08:02:45 2016 +1200

Bug 1569121: Replacing deprecated gulp-minify-css by gulp-clean-css

behatnotneeded

Change-Id: Id89d92e2ac6735dbc9d2be126cd535eb832a2572
(cherry picked from commit c0d4fecc825fddf7ea93fd6bb65941e6a0fae2b7)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6896
Committed: https://git.mahara.org/mahara/mahara/commit/ac5c01a875828bf61e1e23f5da500c40d6429d26
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit ac5c01a875828bf61e1e23f5da500c40d6429d26
Author: Son Nguyen <email address hidden>
Date: Mon Aug 29 08:02:45 2016 +1200

Bug 1569121: Replacing deprecated gulp-minify-css by gulp-clean-css

behatnotneeded

Change-Id: Id89d92e2ac6735dbc9d2be126cd535eb832a2572
(cherry picked from commit c0d4fecc825fddf7ea93fd6bb65941e6a0fae2b7)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers